if !exists("g:syntax_on")
  syntax enable "detect syntax
endif
filetype plugin indent on "filetype plugins + indentation

call plug#begin('~/.config/nvim/plugged')
" Sudo replacement
  Plug 'lambdalisue/suda.vim'
" Appearance
  Plug 'bagrat/vim-workspace'
  Plug 'w0ng/vim-hybrid'
  Plug 'bling/vim-airline'
  Plug 'junegunn/goyo.vim'
  Plug 'junegunn/limelight.vim'
  Plug 'wincent/loupe'
" Git
  Plug 'tpope/vim-fugitive'
  Plug 'airblade/vim-gitgutter'
  Plug 'gregsexton/gitv'
  Plug 'tveskag/nvim-blame-line'
" Elm
  Plug 'elmcast/elm-vim'
" vimwiki
  Plug 'vimwiki/vimwiki'
  Plug 'majutsushi/tagbar'
" Python
  Plug 'davidhalter/jedi'
  " Plug 'jalvesaq/vimcmdline'
  Plug 'HiPhish/repl.nvim'
" HTML/JS
  Plug 'pangloss/vim-javascript'
  Plug 'rstacruz/sparkup'
" R/Rmd
  Plug 'jalvesaq/Nvim-R'
  Plug 'vim-pandoc/vim-pandoc'
  Plug 'vim-pandoc/vim-pandoc-syntax'
" All purpose
  Plug 'w0rp/ale'
  Plug 'SirVer/ultisnips'
  Plug 'reedes/vim-wordy'
  Plug 'junegunn/vim-peekaboo'
  Plug 'tpope/vim-surround'
  Plug 'wellle/targets.vim'
  Plug 'tommcdo/vim-lion'
  Plug 'tpope/vim-repeat'
  Plug 'tpope/vim-commentary'
  Plug 'mbbill/undotree'
  Plug 'easymotion/vim-easymotion'
" Ranger
  Plug 'francoiscabrol/ranger.vim'
  Plug 'rbgrouleff/bclose.vim'
" NCM2
  Plug 'maximewack/ncm2-khard'
  Plug 'ncm2/ncm2'
  Plug 'roxma/nvim-yarp'
  Plug 'ncm2/ncm2-path'
  Plug 'ncm2/ncm2-bufword'
  Plug 'ncm2/ncm2-jedi'
  Plug 'ncm2/ncm2-ultisnips'
  Plug 'gaalcaras/ncm-R'
  Plug 'maximewack/ncm2-khard'
call plug#end()

source $HOME/.config/nvim/init.d/keys.vim
source $HOME/.config/nvim/init.d/plugins.vim
source $HOME/.config/nvim/init.d/plugkeys.vim
source $HOME/.config/nvim/init.d/options.vim
